#  (C) 2002-2004 The UbixOS Project
#  $Id$

# Include Global 'Source' Options
include ../../Makefile.inc
include ../Makefile.inc

#  Objects
OBJS = message.o

all: $(OBJS)

#  Compile Types
.cc.o:
	$(CXX) -Wall -DNOBOOL -O $(CFLAGS) $(INCLUDES) -c -o $@ $<
.cc.s:
	$(CXX) -Wall -DNOBOOL -O $(CFLAGS) $(INCLUDES) -S -o $@ $<
.c.o:
	$(CC) -Wall -O $(CFLAGS) $(INCLUDES) -c -o $@ $<
.c.s:
	$(CC) -Wall -O $(CLFAGS) $(INCLUDES) -S -o $@ $<
.S.o:
	$(CC) -Wall -O -c -o $@ $<

# Clean up the junk
clean:
	$(REMOVE) $(OBJS)
